﻿using Connected.Expressions.Translation;
using System.Linq.Expressions;

namespace Connected.Expressions;

public sealed class AggregateSubqueryExpression : DatabaseExpression
{
    public AggregateSubqueryExpression(Alias groupByAlias, Expression aggregateInGroupSelect, ScalarExpression aggregateAsSubquery)
         : base(DatabaseExpressionType.AggregateSubquery, aggregateAsSubquery.Type)
    {
        AggregateInGroupSelect = aggregateInGroupSelect;
        GroupByAlias = groupByAlias;
        AggregateAsSubquery = aggregateAsSubquery;
    }

    public Alias GroupByAlias { get; }
    public Expression AggregateInGroupSelect { get; }
    public ScalarExpression AggregateAsSubquery { get; }
}
