﻿using Connected.Expressions.Collections;
using System.Collections.ObjectModel;
using System.Linq.Expressions;

namespace Connected.Expressions;

public sealed class BlockExpression : CommandExpression
{
    public BlockExpression(IList<Expression> commands)
         : base(DatabaseExpressionType.Block, commands[commands.Count - 1].Type)
    {
        Commands = commands.ToReadOnly();
    }

    public BlockExpression(params Expression[] commands)
         : this((IList<Expression>)commands)
    {
    }

    public ReadOnlyCollection<Expression> Commands { get; }
}
