﻿using Connected.Expressions.Collections;
using System.Collections.ObjectModel;

namespace Connected.Expressions;

public sealed class DeclarationExpression : CommandExpression
{
    public DeclarationExpression(IEnumerable<VariableDeclaration> variables, SelectExpression source)
         : base(DatabaseExpressionType.Declaration, typeof(void))
    {
        Variables = variables.ToReadOnly();
        Source = source;
    }

    public ReadOnlyCollection<VariableDeclaration> Variables { get; }
    public SelectExpression Source { get; }
}
