﻿using System.ComponentModel.DataAnnotations;

namespace Connected.Security.Authentication
{
	/// <summary>
	/// Represents a basic authentication arguments which are based on the user and password.
	/// </summary>
	public sealed class BasicAuthenticationArgs : AuthenticationArgs
	{
		/// <summary>
		/// The user's identity. It can contain login name, email or authentication token.
		/// </summary>
		[Required]
		[MaxLength(128)]
		public string User { get; init; }
		/// <summary>
		/// The user's password.
		/// </summary>
		[Required]
		[MaxLength(128)]
		public string Password { get; init; }
	}
}
